org.apache.maven.scm.command.list

## Class AbstractListCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.list.AbstractListCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  AbstractCvsListCommand, GitListCommand, HgListCommand, LocalListCommand, SvnListCommand, TfsListCommand

    public abstract class AbstractListCommand
    extends AbstractCommand

Version:
  $Id: AbstractListCommand.java 685539 2008-08-13 13:27:27Z vsiveton $
Author:
  Carlos Sanchez

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractListCommand()`

### Method Summary

Methods
`ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract ListScmResult` `executeListCommand(ScmProviderRepository repository, ScmFileSet fileSet, boolean recursive, ScmVersion scmVersion)` List contents of the remote repository

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractListCommand

    public AbstractListCommand()

### Method Detail

#### executeListCommand

    protected abstract ListScmResult executeListCommand(ScmProviderRepository repository,
                                   ScmFileSet fileSet,
                                   boolean recursive,
                                   ScmVersion scmVersion)
                                                 throws ScmException

List contents of the remote repository

Parameters:
  `repository` - what to list
  `fileSet` - the files to list
  `recursive` - whether list should return subfolder listing
Returns:
  the list of files
Throws:
  `ScmException`

#### executeCommand

    public ScmResult executeCommand(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`